<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$filtro=$_GET[id];
$wh=" AND aca_faltas_estudiantes.cod_estudiante=".$filtro;
$tbls="FROM
    aca_faltas_estudiantes
    INNER JOIN aca_detalles_faltas 
        ON (aca_faltas_estudiantes.cod_falta = aca_detalles_faltas.cod_falta)
    INNER JOIN aux_tipos_faltas 
        ON (aca_detalles_faltas.ide_tipo_falta = aux_tipos_faltas.ide_tipo_falta)";		

$sql = "SELECT
    aux_tipos_faltas.tipo_falta as nom_tp_falta
    , aca_detalles_faltas.cod_falta as cd_falta
    , aca_faltas_estudiantes.ide_faltaxest as id_falxest
    , aca_faltas_estudiantes.fecha_falta as fecha_falta
    , aca_faltas_estudiantes.desc_falta as des_falta
    , aca_faltas_estudiantes.obser_falta as obs_falta
    , aca_faltas_estudiantes.cod_estudiante	as cd_est
	, aca_detalles_faltas.ide_tipo_falta
 $tbls WHERE 1=1".$wh;
 //" ORDER BY $sidx $sord LIMIT $start , $limit";
//	echo $sql;

$academia->instruccion($sql);
$i=0;
$responce = array();
while($row = $academia->extraer_registro()) {
	$responce[]=$row;
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();

?>
        